<resources>
    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorAccent</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:textViewStyle">@style/TextViewFontStyle</item>
        <item name="textInputStyle">@style/AppTextField</item>
        <item name="android:textViewStyle">@style/NormalTextView</item>
        <item name="editTextStyle">@style/EditTextFontStyle</item>

    </style>

    <style name="HintTextnew" parent="TextAppearance.Design.Hint">
        <item name="android:textSize">10sp</item>
        <item name="android:textColor">@color/text_color</item>
        <item name="android:textColorHint">@color/text_grey_color</item>
    </style>

    <style name="AppTheme.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="SplashTheme" parent="@android:style/Theme.Translucent.NoTitleBar">
        <!--     <item name="android:windowNoTitle">true</item>
            <item name="android:windowActionBar">false</item>
            <item name="android:windowFullscreen">true</item>
            <item name="android:windowContentOverlay">@null</item>-->
    </style>

    <style name="AppTextField" parent="Widget.MaterialComponents.TextInputLayout.OutlinedBox">
        <item name="boxBackgroundColor">@android:color/holo_green_dark</item>
    </style>

    <style name="NormalButton" parent="TextAppearance.AppCompat.Button">
        <item name="android:textSize">18sp</item>
        <item name="android:background">@drawable/button_round</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:textColor">@android:color/white</item>
        <item name="android:foreground">?attr/selectableItemBackground</item>
    </style>

    <style name="BoldButton" parent="TextAppearance.AppCompat.Button">
        <item name="android:textStyle">bold</item>

    </style>

    <style name="NormalTextView" parent="Widget.AppCompat.TextView">
        <item name="android:textSize">@dimen/sp_16</item>
        <item name="android:textColor">@color/text_color</item>
        <item name="android:textViewStyle">@style/TextViewFontStyle</item>
    </style>


    <style name="TextViewFontStyle" parent="android:Widget.TextView">
        <item name="android:fontFamily">@font/poppins</item>
    </style>
    <style name="EditTextFontStyle" parent="Widget.AppCompat.EditText">
        <item name="android:fontFamily">@font/poppins</item>
    </style>
    <style name="BoldTextView" parent="Widget.AppCompat.TextView">
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">@dimen/sp_18</item>
        <item name="android:textColor">@color/colorAccent</item>
    </style>

    <style name="EditTextNormal" parent="Widget.AppCompat.EditText">
        <item name="android:textSize">@dimen/sp_16</item>
        <item name="android:textColorHint">@android:color/black</item>
        <item name="android:textColor">@color/colorAccent</item>

    </style>


    <style name="ProgressbarStyle" parent="Base.Widget.AppCompat.ProgressBar">
        <item name="android:indeterminateTint">@color/colorAccent</item>
    </style>

    <style name="AppTabLayout" parent="Widget.Design.TabLayout">
        <!--        <item name="tabMaxWidth">@dimen/tab_max_width</item>-->
        <item name="android:background">@android:color/white</item>
        <item name="tabIndicatorColor">@color/colorAccent</item>
        <item name="tabIndicatorHeight">3dp</item>
        <item name="tabPaddingStart">6dp</item>
        <item name="tabPaddingEnd">6dp</item>
        <item name="tabIndicatorFullWidth">false</item>
        <item name="tabGravity">fill</item>
        <!--        <item name="tabBackground">?attr/selectableItemBackground</item>-->
        <item name="tabTextAppearance">@style/AppTabTextAppearance</item>
        <item name="tabSelectedTextColor">@android:color/black</item>
    </style>

    <!-- for text -->
    <style name="AppTabTextAppearance" parent="TextAppearance.Design.Tab">
        <item name="android:textSize">@dimen/sp_12</item>
        <item name="android:textColor">@android:color/black</item>
        <item name="textAllCaps">false</item>
    </style>

    <style name="FullScreenDialogStyle" parent="AppTheme">
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:windowTitleStyle">@null</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <item name="android:windowSoftInputMode">stateUnspecified|adjustPan</item>
        <item name="android:backgroundDimEnabled">false</item>
        <item name="android:background">@android:color/transparent</item>
    </style>
</resources>
